• Havoc
  • Caius
  • redboot
  • Rules
  • Chain of Command
  • Members
  • Supported Ladders & Games
  • Downloads


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
East Front 2 1.04 patch needed
03-05-2010, 11:25 AM,
#1
East Front 2 1.04 patch needed
Hello Fellas, I am searching for the 1.04 version patch for East Front 2 Gold. I am surprised how hard it is to find. I have been away but doesn't seem like that long. I understand Talonsoft is gone and Matrix has the rights. Long story short, does anyone have the patch or knows where I can get it. I dont really want to have to by the Matrix version.

all the best

Berzerked.....aka Bunker of old
Quote this message in a reply
03-05-2010, 03:53 PM,
#2
RE: East Front 2 1.04 patch needed
(03-05-2010, 11:25 AM)Berzerker Wrote: Hello Fellas, I am searching for the 1.04 version patch for East Front 2 Gold. I am surprised how hard it is to find. I have been away but doesn't seem like that long. I understand Talonsoft is gone and Matrix has the rights. Long story short, does anyone have the patch or knows where I can get it. I dont really want to have to by the Matrix version.

all the best

Berzerked.....aka Bunker of old

I am pretty sure a Talonsoft EF2 1.04 was never released.

I believe 1.03 was the last release and that was included with the Fall of the Reich disc?

Jason Petho
Send this user an email
Quote this message in a reply
03-05-2010, 11:36 PM,
#3
RE: East Front 2 1.04 patch needed
And I'm not sure that 1.03 was ever a "patch", as opposed to a different retail version that came with FotR. IIRC, there were two install versions on the Project Blitzkreig Disc for exactly that reason.
Quote this message in a reply
03-06-2010, 06:58 AM,
#4
RE: East Front 2 1.04 patch needed
Version 1.02 is the official patch for EF2 1.03 if im right was for night fighting etc just a mod i think.
Quote this message in a reply
03-06-2010, 10:12 AM,
#5
RE: East Front 2 1.04 patch needed
Thanks everyone, seem I am up to date. I imagine the Matrix version went to 1.04. Maybe I will purchase it.
Quote this message in a reply
11-23-2017, 12:35 PM,
#6
RE: East Front 2
Hello gamers,  I have downloaded both English patches (102 us) for East Front 2 and the game will not load a scenario.  Does anyone have detailed instructions to make the game work??  Years ago I had EF2 working with XP but now with WIN 10 nothing works.  This is a very cool game!!

PS the error is application failed to start - code 0x.0000022.
Quote this message in a reply
11-23-2017, 07:08 PM,
#7
RE: East Front 2 1.04 patch needed
(03-06-2010, 10:12 AM)Bunker Wrote: Thanks everyone, seem I am up to date.  I imagine the Matrix version went to 1.04.  Maybe I will purchase it.

The Matrix sale started yesterday you might get 50% off The Campaign Series.
Quote this message in a reply
11-23-2017, 08:31 PM,
#8
RE: East Front 2 1.04 patch needed
(11-23-2017, 07:08 PM)Lowlander Wrote:
(03-06-2010, 10:12 AM)Bunker Wrote: Thanks everyone, seem I am up to date.  I imagine the Matrix version went to 1.04.  Maybe I will purchase it.

The Matrix sale started yesterday you might get 50% off The Campaign Series.

JTCS is actually on an even bigger sale, was $29.99, now $9.99. So anyone on a fence with it, now would be a good time to get it. 

I've put a listing of all JTCS updates on a post HERE. JTCS digital download is 1.01 iirc, so either that or 1.02 should be very close to the Talonsoft versions, par the hassle with CDs. 2.0 then makes some changes for instance the game is now windowed. 

If Talonsoft patches are still available in one of the download sites happy to add them to that post too, Talonsoft manuals are there, already.
[Image: 29F3B1129F294B8EA9F0BA9508F86A6C.jpg]
Visit us at CSLegion.com
Quote this message in a reply


Forum Jump:


Users browsing this thread: 1 Guest(s)